Bug 432791 - Review Request: epdfview - Lightweight PDF document viewer
Review Request: epdfview - Lightweight PDF document viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 07:23 EST by Michal Schmidt
Modified: 2008-02-18 14:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 14:44:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2008-02-14 07:23:26 EST
Spec URL: http://michich.fedorapeople.org/epdfview/epdfview.spec
SRPM URL: http://michich.fedorapeople.org/epdfview/epdfview-0.1.6-1.fc9.src.rpm
Description:
ePDFView is a lightweight PDF document viewer using Poppler and GTK+ libraries.
The aim of ePDFView is to make a simple PDF document viewer, in the lines of
Evince but without using the Gnome libraries.
Comment 1 Michal Schmidt 2008-02-14 07:24:46 EST
The package builds in mock and rpmlint sees no issues:

$ls /var/lib/mock/fedora-development-x86_64/result/*.rpm
/var/lib/mock/fedora-development-x86_64/result/epdfview-debuginfo-0.1.6-1.fc9.x86_64.rpm
/var/lib/mock/fedora-development-x86_64/result/epdfview-0.1.6-1.fc9.src.rpm
/var/lib/mock/fedora-development-x86_64/result/epdfview-0.1.6-1.fc9.x86_64.rpm
$rpmlint /var/lib/mock/fedora-development-x86_64/result/*.rpm
$

I did a scratch build in Koji too:
http://koji.fedoraproject.org/koji/taskinfo?taskID=426258
Comment 2 Parag AN(पराग) 2008-02-14 23:10:53 EST
1)tarball packages in SRPM does not preserve upstream released tarball
timestamp. Good if you use wget and download tarball and package in SRPM.

2)To preserve timestamps from files being copied from upstream tarball use
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

3) Drop following from SPEC
Requires(post):         desktop-file-utils
Requires(postun):       desktop-file-utils
as per said at 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef

4)Use scriptlet of update-desktop-database as per given at
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef
Comment 3 Parag AN(पराग) 2008-02-14 23:11:33 EST
I can't see poppler-glib-devel on F8
Comment 4 Michal Schmidt 2008-02-15 07:21:50 EST
(In reply to comment #2)
> 1)tarball packages in SRPM does not preserve upstream released tarball
> timestamp. Good if you use wget and download tarball and package in SRPM.

OK, I redownloaded with wget and the tarball now has the original timestamp.

> 2)To preserve timestamps from files being copied from upstream tarball use
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

Interesting, I've never seen this one mentioned in the guidelines. OK, done.

> 3) Drop following from SPEC
> Requires(post):         desktop-file-utils
> Requires(postun):       desktop-file-utils
> as per said at 
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef

I see. I was confused by obsolete instructions in
http://fedoraproject.org/wiki/NewMIMESystem

I have copied the snippet from ScriptletSnippets and fixed the wiki page
NewMIMESystem too.

> 4)Use scriptlet of update-desktop-database as per given at
>
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef

Done.

(In reply to comment #3)
> I can't see poppler-glib-devel on F8

True. poppler-glib-devel was split from poppler-devel in Rawhide.
I didn't originally plan to push the package to F8, but I have now made a
conditional special case in BuildRequires to make it build on F8 too.

Updated files:
http://michich.fedorapeople.org/epdfview/epdfview.spec
http://michich.fedorapeople.org/epdfview/epdfview-0.1.6-2.fc9.src.rpm
Comment 5 Parag AN(पराग) 2008-02-18 00:13:46 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=434204
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
cce9edb41b4a8308e0ef0eea24b5a1ab  epdfview-0.1.6.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ update-desktop-database scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.
Comment 6 Michal Schmidt 2008-02-18 09:28:33 EST
New Package CVS Request
=======================
Package Name: epdfview
Short Description: Lightweight PDF document viewer
Owners: michich
Branches: F-8
InitialCC: 
Cvsextras Commits:
Comment 7 Kevin Fenzi 2008-02-18 12:35:39 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.